-- CRM-6138
-- language list from http://en.wikipedia.org/wiki/List_of_ISO_639-1_codes
-- most common languages, according to http://en.wikipedia.org/wiki/List_of_languages_by_number_of_native_speakers enabled

INSERT INTO `civicrm_option_group`
  (`name`, {localize field='description}`description`{/localize}, `is_reserved`, `is_active`)
VALUES
  ('languages', {localize}'{ts escape="sql"}List of Languages{/ts}'{/localize}, 0, 1);

SELECT @option_group_id_languages      := max(id) from civicrm_option_group where name = 'languages';

SELECT @counter := 0;
INSERT INTO civicrm_option_value
  (option_group_id, is_default, is_active, name, value, {localize field='label'}label{/localize}, weight)
VALUES
  (@option_group_id_languages, 0, 0, '', 'ab', {localize}'Abkhaz'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'aa', {localize}'Afar'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'af', {localize}'Afrikaans'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'ak', {localize}'Akan'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'sq', {localize}'Albanian'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'am', {localize}'Amharic'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'ar', {localize}'Arabic'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'an', {localize}'Aragonese'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'hy', {localize}'Armenian'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'as', {localize}'Assamese'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'av', {localize}'Avaric'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'ae', {localize}'Avestan'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'ay', {localize}'Aymara'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'az', {localize}'Azerbaijani'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'bm', {localize}'Bambara'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'ba', {localize}'Bashkir'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'eu', {localize}'Basque'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'be', {localize}'Belarusian'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'bn', {localize}'Bengali'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'bh', {localize}'Bihari'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'bi', {localize}'Bislama'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'bs', {localize}'Bosnian'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'br', {localize}'Breton'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'bg', {localize}'Bulgarian'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'my', {localize}'Burmese'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'ca', {localize}'Catalan; Valencian'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'ch', {localize}'Chamorro'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'ce', {localize}'Chechen'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'ny', {localize}'Chichewa; Chewa; Nyanja'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 1, '', 'zh', {localize}'Chinese'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'cv', {localize}'Chuvash'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'kw', {localize}'Cornish'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'co', {localize}'Corsican'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'cr', {localize}'Cree'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'hr', {localize}'Croatian'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 1, '', 'cs', {localize}'Czech'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'da', {localize}'Danish'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'dv', {localize}'Divehi; Dhivehi; Maldivian;'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 1, '', 'nl', {localize}'Dutch'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'dz', {localize}'Dzongkha'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 1, 1, '', 'en', {localize}'English'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'eo', {localize}'Esperanto'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'et', {localize}'Estonian'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'ee', {localize}'Ewe'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'fo', {localize}'Faroese'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'fj', {localize}'Fijian'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'fi', {localize}'Finnish'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 1, '', 'fr', {localize}'French'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'ff', {localize}'Fula; Fulah; Pulaar; Pular'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'gl', {localize}'Galician'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'ka', {localize}'Georgian'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 1, '', 'de', {localize}'German'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'el', {localize}'Greek, Modern'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'gn', {localize}'Guaraní'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'gu', {localize}'Gujarati'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'ht', {localize}'Haitian; Haitian Creole'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'ha', {localize}'Hausa'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'he', {localize}'Hebrew (modern)'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'hz', {localize}'Herero'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'hi', {localize}'Hindi'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'ho', {localize}'Hiri Motu'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 1, '', 'hu', {localize}'Hungarian'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'ia', {localize}'Interlingua'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'id', {localize}'Indonesian'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'ie', {localize}'Interlingue'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'ga', {localize}'Irish'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'ig', {localize}'Igbo'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'ik', {localize}'Inupiaq'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'io', {localize}'Ido'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'is', {localize}'Icelandic'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 1, '', 'it', {localize}'Italian'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'iu', {localize}'Inuktitut'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'ja', {localize}'Japanese'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'jv', {localize}'Javanese'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'kl', {localize}'Kalaallisut, Greenlandic'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'kn', {localize}'Kannada'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'kr', {localize}'Kanuri'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'ks', {localize}'Kashmiri'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'kk', {localize}'Kazakh'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'km', {localize}'Khmer'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'ki', {localize}'Kikuyu, Gikuyu'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'rw', {localize}'Kinyarwanda'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'ky', {localize}'Kirghiz, Kyrgyz'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'kv', {localize}'Komi'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'kg', {localize}'Kongo'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'ko', {localize}'Korean'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'ku', {localize}'Kurdish'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'kj', {localize}'Kwanyama, Kuanyama'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'la', {localize}'Latin'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'lb', {localize}'Luxembourgish, Letzeburgesch'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'lg', {localize}'Luganda'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'li', {localize}'Limburgish, Limburgan, Limburger'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'ln', {localize}'Lingala'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'lo', {localize}'Lao'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'lt', {localize}'Lithuanian'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'lu', {localize}'Luba-Katanga'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'lv', {localize}'Latvian'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'gv', {localize}'Manx'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'mk', {localize}'Macedonian'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'mg', {localize}'Malagasy'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'ms', {localize}'Malay'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'ml', {localize}'Malayalam'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'mt', {localize}'Maltese'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'mi', {localize}'Māori'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'mr', {localize}'Marathi'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'mh', {localize}'Marshallese'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'mn', {localize}'Mongolian'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'na', {localize}'Nauru'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'nv', {localize}'Navajo, Navaho'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'nb', {localize}'Norwegian Bokmål'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'nd', {localize}'North Ndebele'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'ne', {localize}'Nepali'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'ng', {localize}'Ndonga'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'nn', {localize}'Norwegian Nynorsk'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'no', {localize}'Norwegian'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'ii', {localize}'Nuosu'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'nr', {localize}'South Ndebele'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'oc', {localize}'Occitan (after 1500)'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'oj', {localize}'Ojibwa'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'cu', {localize}'Old Church Slavonic, Church Slavic, Church Slavonic, Old Bulgarian, Old Slavonic'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'om', {localize}'Oromo'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'or', {localize}'Oriya'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'os', {localize}'Ossetian, Ossetic'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'pa', {localize}'Panjabi, Punjabi'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'pi', {localize}'Pāli'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'fa', {localize}'Persian'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 1, '', 'pl', {localize}'Polish'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'ps', {localize}'Pashto, Pushto'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 1, '', 'pt', {localize}'Portuguese'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'qu', {localize}'Quechua'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'rm', {localize}'Romansh'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'rn', {localize}'Kirundi'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'ro', {localize}'Romanian, Moldavian, Moldovan'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 1, '', 'ru', {localize}'Russian'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'sa', {localize}'Sanskrit'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'sc', {localize}'Sardinian'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'sd', {localize}'Sindhi'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'se', {localize}'Northern Sami'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'sm', {localize}'Samoan'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'sg', {localize}'Sango'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'sr', {localize}'Serbian'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'gd', {localize}'Scottish Gaelic; Gaelic'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'sn', {localize}'Shona'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'si', {localize}'Sinhala, Sinhalese'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'sk', {localize}'Slovak'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'sl', {localize}'Slovene'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'so', {localize}'Somali'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'st', {localize}'Southern Sotho'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 1, '', 'es', {localize}'Spanish; Castilian'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'su', {localize}'Sundanese'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'sw', {localize}'Swahili'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'ss', {localize}'Swati'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 1, '', 'sv', {localize}'Swedish'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'ta', {localize}'Tamil'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'te', {localize}'Telugu'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'tg', {localize}'Tajik'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'th', {localize}'Thai'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'ti', {localize}'Tigrinya'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'bo', {localize}'Tibetan Standard, Tibetan, Central'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'tk', {localize}'Turkmen'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'tl', {localize}'Tagalog'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'tn', {localize}'Tswana'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'to', {localize}'Tonga (Tonga Islands)'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'tr', {localize}'Turkish'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'ts', {localize}'Tsonga'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'tt', {localize}'Tatar'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'tw', {localize}'Twi'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'ty', {localize}'Tahitian'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'ug', {localize}'Uighur, Uyghur'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'uk', {localize}'Ukrainian'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'ur', {localize}'Urdu'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'uz', {localize}'Uzbek'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 've', {localize}'Venda'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'vi', {localize}'Vietnamese'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'vo', {localize}'Volapük'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'wa', {localize}'Walloon'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'cy', {localize}'Welsh'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'wo', {localize}'Wolof'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'fy', {localize}'Western Frisian'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'xh', {localize}'Xhosa'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'yi', {localize}'Yiddish'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'yo', {localize}'Yoruba'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'za', {localize}'Zhuang, Chuang'{/localize}, @counter := @counter + 1),
  (@option_group_id_languages, 0, 0, '', 'zu', {localize}'Zulu'{/localize}, @counter := @counter + 1);
