{*
 +--------------------------------------------------------------------+
 | CiviCRM version 4.4                                                |
 +--------------------------------------------------------------------+
 | Copyright CiviCRM LLC (c) 2004-2013                                |
 +--------------------------------------------------------------------+
 | This file is a part of CiviCRM.                                    |
 |                                                                    |
 | CiviCRM is free software; you can copy, modify, and distribute it  |
 | under the terms of the GNU Affero General Public License           |
 | Version 3, 19 November 2007 and the CiviCRM Licensing Exception.   |
 |                                                                    |
 | CiviCRM is distributed in the hope that it will be useful, but     |
 | WITHOUT ANY WARRANTY; without even the implied warranty of         |
 | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.               |
 | See the GNU Affero General Public License for more details.        |
 |                                                                    |
 | You should have received a copy of the GNU Affero General Public   |
 | License and the CiviCRM Licensing Exception along                  |
 | with this program; if not, contact CiviCRM LLC                     |
 | at info[AT]civicrm[DOT]org. If you have questions about the        |
 | GNU Affero General Public License or the licensing of CiviCRM,     |
 | see the CiviCRM license FAQ at http://civicrm.org/licensing        |
 +--------------------------------------------------------------------+
*}
{* Search form and results for voters *}
{include file='CRM/Campaign/Form/Search/Common.tpl' context='search'}

{if $rowsEmpty || $rows}
<div class="crm-content-block">
{if $rowsEmpty}
    {include file="CRM/Campaign/Form/Search/EmptyResults.tpl"}
{/if}

{if $rows}
    {* Search request has returned 1 or more matching rows. Display results and collapse the search criteria fieldset. *}
    {assign var="showBlock" value="'searchForm_show'"}
    {assign var="hideBlock" value="'searchForm'"}

    {* Search request has returned 1 or more matching rows. *}
    <fieldset>

       {* This section handles form elements for action task select and submit *}
       {include file="CRM/common/searchResultTasks.tpl" context="Campaign"}

       {* This section displays the rows along and includes the paging controls *}
       <p></p>
       {include file="CRM/Campaign/Form/Selector.tpl" context="Search"}

    </fieldset>
    {* END Actions/Results section *}

{/if}
</div>
{/if}
{literal}
<script type="text/javascript">
    cj(function() {
      cj().crmAccordions();
    });

  //load interviewer autocomplete.
  var interviewerDataUrl = "{/literal}{$dataUrl}{literal}";
  var hintText = "{/literal}{ts escape='js'}Type in a partial or complete name of an existing contact.{/ts}{literal}";
  cj( "#survey_interviewer_name" ).autocomplete( interviewerDataUrl,
                                                 { width : 256,
                                                   selectFirst : false,
                                                   hintText: hintText,
                                                   matchContains: true,
                                                   minChars: 1
                                                  }
                                                 ).result( function( event, data, formatted ) {
                                      cj( "#survey_interviewer_id" ).val( data[1] );
                                                         }).bind( 'click', function( ) {
                                                              cj( "#survey_interviewer_id" ).val('');
                                                         });


</script>
{/literal}
